Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class DatiRapportoLavoro

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.DatiRapportoLavoro

    public class DatiRapportoLavoro

extends java.lang.Object

Dati del rapporto di lavoro del dipendente.

Field Summary
`private java.lang.String` | `codAziendaAppartenenza` Codice nazionale azienda di appartenenza.
`private java.lang.String` | `codAziendaProvenienza` Codice nazionale azienda sanitaria di provenienza del dipendente.
`private java.lang.String` | `codEnteProvenienza` Descrizione dell’ente di provenienza del dipendente.
`private java.lang.String` | `dataInizioRapporto` Data di assunzione.
`private Aspettativa` | `datiAspettativa` Dati Aspettativa.
`private PartTime` | `datiPartTime` Dati part-time.
`private int` | `modalitaAssunzione` Modalità di assunzione del dipendente.
`private int` | `motivoAssunzione` Motivo di assunzione di un dipendente da parte del Servizio Sanitario Regionale.
`private int` | `tipoAziendaAppartenenza` Tipo azienda di appartenenza.
`private java.lang.Integer` | `tipoAziendaProvenienza` Tipo azienda di appartenenza.
`private int` | `tipologiaDurata` Tipologia di rapporto di lavoro instaurato con il SSR.
`private java.lang.Integer` | `tipoRapporto` Specifica se il rapporto di lavoro è esclusivo o non esclusivo.

Constructor Summary
`DatiRapportoLavoro()`

Method Summary
`java.lang.String` | `getCodAziendaAppartenenza()`
`java.lang.String` | `getCodAziendaProvenienza()`
`java.lang.String` | `getCodEnteProvenienza()`
`java.lang.String` | `getDataInizioRapporto()`
`Aspettativa` | `getDatiAspettativa()`
`PartTime` | `getDatiPartTime()`
`int` | `getModalitaAssunzione()`
`int` | `getMotivoAssunzione()`
`int` | `getTipoAziendaAppartenenza()`
`java.lang.Integer` | `getTipoAziendaProvenienza()`
`int` | `getTipologiaDurata()`
`java.lang.Integer` | `getTipoRapporto()`
`void` | `setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)`
`void` | `setCodAziendaProvenienza(java.lang.String codAziendaProvenienza)`
`void` | `setCodEnteProvenienza(java.lang.String codEnteProvenienza)`
`void` | `setDataInizioRapporto(java.lang.String dataInizioRapporto)`
`void` | `setDatiAspettativa(Aspettativa datiAspettativa)`
`void` | `setDatiPartTime(PartTime datiPartTime)`
`void` | `setModalitaAssunzione(int modalitaAssunzione)`
`void` | `setMotivoAssunzione(int motivoAssunzione)`
`void` | `setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)`
`void` | `setTipoAziendaProvenienza(java.lang.Integer tipoAziendaProvenienza)`
`void` | `setTipologiaDurata(int tipologiaDurata)`
`void` | `setTipoRapporto(java.lang.Integer tipoRapporto)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codAziendaAppartenenza

    @Facets(maxLength=6L,
            pattern="[0-9]+")
    @MinOccurs(value=1L)
    private java.lang.String codAziendaAppartenenza

  Codice nazionale azienda di appartenenza.

### tipoAziendaAppartenenza

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=1L)
    private int tipoAziendaAppartenenza

  Tipo azienda di appartenenza. Può assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### dataInizioRapporto

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataInizioRapporto

  Data di assunzione.

### tipologiaDurata

    @Facets(totalDigits=2L,
            pattern="(1|2|3|4|5|6){1}")
    @MinOccurs(value=1L)
    private int tipologiaDurata

  Tipologia di rapporto di lavoro instaurato con il SSR. Può assumere i seguenti valori:
  - 1: DETERMINATO
  - 2: INDETERMINATO
  - 3: UNIVERSITARIO
  - 4: CONVENZIONE
  - 5: COLLABORAZIONE A POGETTO
  - 6: INCARICO A TEMPO DETERMINATO EX ART. 15 SEPTIES DLGS 502/92

### tipoRapporto

    @Facets(totalDigits=2L,
            pattern="(1|2){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoRapporto

  Specifica se il rapporto di lavoro è esclusivo o non esclusivo. Può assumere i seguenti valori:
  - 1: ESCLUSIVO
  - 2: NON ESCLUSIVO

### modalitaAssunzione

    @Facets(totalDigits=2L,
            pattern="(1|2|3|4|6|8|9|10){1}")
    @MinOccurs(value=1L)
    private int modalitaAssunzione

  Modalità di assunzione del dipendente. Può assumere i seguenti valori:
  - 1: PUBBLICO CONCORSO
  - 2: MOBILITA’ REGIONALE
  - 3: MOBILITA’ INTERREGIONALE
  - 4: MOBILITA’ INTERCOMPARTIMENTALE/TRASFERIMENTO COMPETENZE
  - 5: LEGGE 56/87
  - 6: AVVISO PUBBLICO
  - 7: LEGGE 68/99
  - 8: STABILIZZAZIONE
  - 9: COMANDO/ASSEGNAZIONE PROVVISORIA
  - 10: CHIAMATA SU DICHIARAZIONE DI DISPONIBILITA’

### motivoAssunzione

    @Facets(totalDigits=2L,
            pattern="(1|2){1}")
    @MinOccurs(value=1L)
    private int motivoAssunzione

  Motivo di assunzione di un dipendente da parte del Servizio Sanitario Regionale. Può assumere i seguenti valori:
  - 1: COPERTURA POSTO VACANTE
  - 2: SOSTITUZIONE PERSONALE CON DIRITTO ALLA CONSERVAZIONE DEL POSTO

### tipoAziendaProvenienza

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer tipoAziendaProvenienza

  Tipo azienda di appartenenza. Può assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### codAziendaProvenienza

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codAziendaProvenienza

  Codice nazionale azienda sanitaria di provenienza del dipendente. Il campo è alternativo al campo Ente di provenienza. Il campo è obbligatorio se la modalità di assunzione è uguale a 2.

### codEnteProvenienza

    @Facets(maxLength=20L)
    @MinOccurs(value=0L)
    private java.lang.String codEnteProvenienza

  Descrizione dell’ente di provenienza del dipendente. Il campo è alternativo al campo Azienda sanitaria di provenienza. Il campo è obbligatorio se la modalità di assunzione è uguale a 3 o 4.

### datiPartTime

    @MinOccurs(value=0L)
    private PartTime datiPartTime

  Dati part-time.

### datiAspettativa

    @MinOccurs(value=0L)
    private Aspettativa datiAspettativa

  Dati Aspettativa.

Constructor Detail

### DatiRapportoLavoro

    public DatiRapportoLavoro()

Method Detail

### setModalitaAssunzione

    public void setModalitaAssunzione(int modalitaAssunzione)

### getModalitaAssunzione

    public int getModalitaAssunzione()

### setMotivoAssunzione

    public void setMotivoAssunzione(int motivoAssunzione)

### getMotivoAssunzione

    public int getMotivoAssunzione()

### setCodAziendaProvenienza

    public void setCodAziendaProvenienza(java.lang.String codAziendaProvenienza)

### getCodAziendaProvenienza

    public java.lang.String getCodAziendaProvenienza()

### setCodEnteProvenienza

    public void setCodEnteProvenienza(java.lang.String codEnteProvenienza)

### getCodEnteProvenienza

    public java.lang.String getCodEnteProvenienza()

### setDataInizioRapporto

    public void setDataInizioRapporto(java.lang.String dataInizioRapporto)

### getDataInizioRapporto

    public java.lang.String getDataInizioRapporto()

### setTipologiaDurata

    public void setTipologiaDurata(int tipologiaDurata)

### getTipologiaDurata

    public int getTipologiaDurata()

### setTipoRapporto

    public void setTipoRapporto(java.lang.Integer tipoRapporto)

### getTipoRapporto

    public java.lang.Integer getTipoRapporto()

### getDatiPartTime

    public PartTime getDatiPartTime()

### setDatiPartTime

    public void setDatiPartTime(PartTime datiPartTime)

### getDatiAspettativa

    public Aspettativa getDatiAspettativa()

### setDatiAspettativa

    public void setDatiAspettativa(Aspettativa datiAspettativa)

### getCodAziendaAppartenenza

    public java.lang.String getCodAziendaAppartenenza()

### setCodAziendaAppartenenza

    public void setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)

### getTipoAziendaAppartenenza

    public int getTipoAziendaAppartenenza()

### setTipoAziendaAppartenenza

    public void setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)

### getTipoAziendaProvenienza

    public java.lang.Integer getTipoAziendaProvenienza()

### setTipoAziendaProvenienza

    public void setTipoAziendaProvenienza(java.lang.Integer tipoAziendaProvenienza)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD